---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libearlyretbase.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x50C70, symBinAddr: 0xC310, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x52BB0, symBinAddr: 0xE250, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x52FA0, symBinAddr: 0xE640, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x53F40, symBinAddr: 0xF5E0, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x53F50, symBinAddr: 0xF5F0, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x50780, symBinAddr: 0xC080, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x50784, symBinAddr: 0xC084, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x50788, symBinAddr: 0xC088, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x508E0, symBinAddr: 0xC090, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x50998, symBinAddr: 0xC148, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5099C, symBinAddr: 0xC14C, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x509A0, symBinAddr: 0xC150, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x509A4, symBinAddr: 0xC154, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x509A8, symBinAddr: 0xC158, symSize: 0x0 }
  - { offsetInCU: 0x8EEA, offset: 0x8EEA, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x509B0, symBinAddr: 0xC160, symSize: 0x0 }
  - { offsetInCU: 0x8F73, offset: 0x8F73, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x509C8, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x8F8C, offset: 0x8F8C, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x509D0, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x8FA5, offset: 0x8FA5, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x509D8, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0x8FBE, offset: 0x8FBE, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x509E0, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x8FD8, offset: 0x8FD8, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x509E8, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x90BE, offset: 0x90BE, size: 0x8, addend: 0x0, symName: __ZL15midActiveMethod, symObjAddr: 0x50A30, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x90D7, offset: 0x90D7, size: 0x8, addend: 0x0, symName: __ZL20meth_exit_gen_events, symObjAddr: 0x50A38, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x90F0, offset: 0x90F0, size: 0x8, addend: 0x0, symName: __ZL20pop_frame_gen_events, symObjAddr: 0x50A3C, symBinAddr: 0xC1AC, symSize: 0x0 }
  - { offsetInCU: 0x9109, offset: 0x9109, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x50A40, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x9122, offset: 0x9122, size: 0x8, addend: 0x0, symName: __ZL7errCode, symObjAddr: 0x50A50, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x9142, offset: 0x9142, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x50A58, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x915B, offset: 0x915B, size: 0x8, addend: 0x0, symName: __ZL20meth_exit_exp_events, symObjAddr: 0x50A60, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x9174, offset: 0x9174, size: 0x8, addend: 0x0, symName: __ZL20pop_frame_exp_events, symObjAddr: 0x50A64, symBinAddr: 0xC1D4, symSize: 0x0 }
  - { offsetInCU: 0x918D, offset: 0x918D, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x50A68, symBinAddr: 0xC1D8, symSize: 0x0 }
  - { offsetInCU: 0x91DF, offset: 0x91DF, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x3F60, symSize: 0x80 }
  - { offsetInCU: 0x9274, offset: 0x9274, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x3EB0, symSize: 0xB0 }
  - { offsetInCU: 0x92CF, offset: 0x92CF, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x3DB0, symSize: 0x100 }
  - { offsetInCU: 0x9562, offset: 0x9562, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x3FE0, symSize: 0x220 }
  - { offsetInCU: 0x9747, offset: 0x9747, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x4200, symSize: 0xA0 }
  - { offsetInCU: 0x97FA, offset: 0x97FA, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x42A0, symSize: 0x110 }
  - { offsetInCU: 0x98F0, offset: 0x98F0, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x43B0, symSize: 0x150 }
  - { offsetInCU: 0x9A21, offset: 0x9A21, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x4500, symSize: 0x30 }
  - { offsetInCU: 0x9AE2, offset: 0x9AE2, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x4530, symSize: 0x150 }
  - { offsetInCU: 0x9CDA, offset: 0x9CDA, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x4680, symSize: 0x160 }
  - { offsetInCU: 0x9F09, offset: 0x9F09, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x47E0, symSize: 0x1B0 }
  - { offsetInCU: 0xA124, offset: 0xA124, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x4990, symSize: 0xA0 }
  - { offsetInCU: 0xA1F3, offset: 0xA1F3, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x4A30, symSize: 0x20 }
  - { offsetInCU: 0xA22A, offset: 0xA22A, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x4A50, symSize: 0x20 }
  - { offsetInCU: 0xA261, offset: 0xA261, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x4A70, symSize: 0x20 }
  - { offsetInCU: 0xA383, offset: 0xA383, size: 0x8, addend: 0x0, symName: _suspendThreadAtMethod, symObjAddr: 0x3040, symBinAddr: 0x4A90, symSize: 0x200 }
  - { offsetInCU: 0xA856, offset: 0xA856, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x4C90, symSize: 0x1A0 }
  - { offsetInCU: 0xAB7C, offset: 0xAB7C, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x4E30, symSize: 0x80 }
  - { offsetInCU: 0xAC45, offset: 0xAC45, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x4EB0, symSize: 0x6A0 }
  - { offsetInCU: 0xB7DA, offset: 0xB7DA, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA150, symBinAddr: 0x6190, symSize: 0xB0 }
  - { offsetInCU: 0xB851, offset: 0xB851, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x5550, symSize: 0x70 }
  - { offsetInCU: 0xB90D, offset: 0xB90D, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x55C0, symSize: 0xA0 }
  - { offsetInCU: 0xBA38, offset: 0xBA38, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x5660, symSize: 0x40 }
  - { offsetInCU: 0xBB2E, offset: 0xBB2E, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x56A0, symSize: 0x2B0 }
  - { offsetInCU: 0xBED4, offset: 0xBED4, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x5950, symSize: 0xC0 }
  - { offsetInCU: 0xC01A, offset: 0xC01A, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x5A10, symSize: 0x10 }
  - { offsetInCU: 0xC0DC, offset: 0xC0DC, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x5A20, symSize: 0x220 }
  - { offsetInCU: 0xC3D9, offset: 0xC3D9, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x5C40, symSize: 0x10 }
  - { offsetInCU: 0xC42F, offset: 0xC42F, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x5C50, symSize: 0x160 }
  - { offsetInCU: 0xC5F9, offset: 0xC5F9, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9D70, symBinAddr: 0x5DB0, symSize: 0x10 }
  - { offsetInCU: 0xC64F, offset: 0xC64F, size: 0x8, addend: 0x0, symName: _MethodExit, symObjAddr: 0x9D80, symBinAddr: 0x5DC0, symSize: 0x30 }
  - { offsetInCU: 0xC6BE, offset: 0xC6BE, size: 0x8, addend: 0x0, symName: _FramePop, symObjAddr: 0x9DB0, symBinAddr: 0x5DF0, symSize: 0x30 }
  - { offsetInCU: 0xC742, offset: 0xC742, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_ForceEarlyReturn_earlyretbase_suspThread, symObjAddr: 0x9DE0, symBinAddr: 0x5E20, symSize: 0xD0 }
  - { offsetInCU: 0xC843, offset: 0xC843, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_ForceEarlyReturn_earlyretbase_resThread, symObjAddr: 0x9EB0, symBinAddr: 0x5EF0, symSize: 0x90 }
  - { offsetInCU: 0xC946, offset: 0xC946, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_ForceEarlyReturn_earlyretbase_doForceEarlyReturn, symObjAddr: 0x9F40, symBinAddr: 0x5F80, symSize: 0x170 }
  - { offsetInCU: 0xCB0F, offset: 0xCB0F, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_ForceEarlyReturn_earlyretbase_check, symObjAddr: 0xA0B0, symBinAddr: 0x60F0, symSize: 0xA0 }
  - { offsetInCU: 0xCB5B, offset: 0xCB5B, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA200, symBinAddr: 0x6240, symSize: 0x36A }
...
